// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdUiKitComponents", targets: ["WebIdUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdUiKitComponents/15.0.0/WebIdUiKitComponents.framework-v15.0.0-SNAPSHOT-203.zip",
            checksum: "e64a279ca0b980d377f94c9ed9d6f561f2c60dc861b4c5217d038e9b58324c38"
        ),
        .target(
            name: "WebIdUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdUiKitComponents"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
